
/*
 Control the DC motor when reading the distance mesured by a VL53L0X sensor
 */

#include <Wire.h>
#include <VL53L0X.h>

// Global declarations
VL53L0X sensor1; // sensor
const int sortieA = 3; // pin to control the motor
uint16_t distance1 = 1000; // measure of the distance
 
void setup() {
  pinMode(sortieA, OUTPUT);
  digitalWrite(sortieA, LOW); // when no hand is detected, the motor stopped

  Serial.begin(9600);
  Wire.begin();

  // Initialzation of the sensor
  sensor1.setTimeout(500);
  if(!sensor1.init()){
    Serial.println("Failed to detect and initialize the sensor 1");
    while(1){}
  }

}

void loop() {
  distance1 = sensor1.readRangeSingleMillimeters(); // measure of the distance
  // Detect a hand to close : start the motor
  if (distance1 < 100) {
    digitalWrite(sortieA, HIGH);
    delay(350); // time to adapt so that the wheel turn a 1/4 of a revolution
    digitalWrite(sortieA, LOW);
  }
  else {
    // else moteur stopped
    digitalWrite(sortieA, LOW);
    delay(100);
  }
}
